crypton-conduit-0.2.3: crypton conduit

Safe Haskell | Safe-Inferred
Language | Haskell2010

Crypto.Cipher.ChaChaPoly1305.Conduit

# Documentation

encrypt Source #

Arguments

:: MonadThrow m |
=> ByteString | nonce (12 random bytes)
-> ByteString | symmetric key (32 bytes)
-> ConduitM ByteString ByteString m () |

decrypt Source #

Arguments

:: MonadThrow m |
=> ByteString | symmetric key (32 bytes)
-> ConduitM ByteString ByteString m () |

data ChaChaException Source #

Constructors

EncryptNonceException !CryptoError |
EncryptKeyException !CryptoError |
DecryptNonceException !CryptoError |
DecryptKeyException !CryptoError |
MismatchedAuth |

#### Instances

Instances details

Exception ChaChaException Source # |
Instance details Defined in Crypto.Cipher.ChaChaPoly1305.Conduit Methods toException :: ChaChaException -> SomeException Source # fromException :: SomeException -> Maybe ChaChaException Source # displayException :: ChaChaException -> String Source #
Show ChaChaException Source # |
Instance details Defined in Crypto.Cipher.ChaChaPoly1305.Conduit Methods showsPrec :: Int -> ChaChaException -> ShowS Source # show :: ChaChaException -> String Source # showList :: [ChaChaException] -> ShowS Source #